Update organization authentications

PUT
/api/v2/organizations/{id}/authentications

Updates authentication details of a specific organization. Returns the updated authentication details.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The ID of the organization.

Formatuuid

Request Body

application/json

The updated authentication details.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/authentications" \  -H "Content-Type: application/json" \  -d '{}'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "allowNtlm": true,    "allowJwt": true,    "identityProviders": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "description": "string",        "isAactive": true,        "createdDate": "2019-08-24T14:15:22Z"      }    ]  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}